#
# spec file for package harden_suse (Version 3.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         harden_suse
Version:      3.5
Release:      39
Copyright:    GNU GPL
Group:        Utilities/Security
Provides:     hardsuse
Obsoletes:    hardsuse
Requires:     perl
Autoreqprov:  on
Summary:      Makes SuSE Linux more secure by disabling some services
Source:       harden_suse-%{version}.tar.gz
#Patch:	      harden_suse.diff
BuildArchitectures: noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Warning: This script will secure your system which means that it will
disable almost all services on your system and tamper with some
configuration files.
You should know what you are doing, when you call this script!

Authors:
--------
    Marc Heuse <marc@suse.de>

SuSE series: sec

%prep
%setup -n harden_suse-%{version}
#cd $RPM_SOURCE_DIR
#%patch -p1

%build
#make

%install
install -d -o root -g root $RPM_BUILD_ROOT/usr/lib/harden_suse
install -o root -g root -m 740 harden_suse-%version.pl $RPM_BUILD_ROOT/usr/lib/harden_suse/
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/usr/sbin
ln -sf ../lib/harden_suse/harden_suse-%version.pl $RPM_BUILD_ROOT/usr/sbin/harden_suse

%files
/usr/lib/harden_suse/harden_suse-%{version}.pl
/usr/sbin/harden_suse
%doc CHANGES LICENCE harden_suse.todo

%changelog -n harden_suse
* Tue Jul 17 2001 - garloff@suse.de
- Update to 3.5:
  * bugfix (a / was missed)
- Update to 3.4:
  * wont disable some special SuSE 7.2 stuff: CRYPTO_FILESYSTEMS
  IDLED, POWERTWEAKD, PPTPD, IJB, IPPL, ARGUS, etc.
* Tue May 08 2001 - garloff@suse.de
- Update to 3.3:
  * wont disable SNORT, ADSL, NESSUSD and many many other things
  now which either do not affect security or are security daemons
  * added LICENCE file (required by SuSE policy)
  * added special warning about tcp wrapper setup and its effects
  on sshd
- Update to 3.2:
  * added MD5 passwords
  * changed the undo script creation, after running undo, the log
  and undo files are not deleted but renamed
* Thu Apr 12 2001 - garloff@suse.de
- Update to harden_suse-3.1:
  * fixed a big bug where the variables disabled services in
  /etc/rc.config were *renamed* (was introduced in v3.0)
  * added RUN_UPDATEDB_AS security
  * removed permissions.paranoia support yes to to question 2 sets
  permissions to secure, a no leaves the old value
  * removed the ulimit settings, just core files will be prevented
  * added some START_ variables to ignore for SuSE 7.1
  * fixed a bug where accounting and scanlogd were not enabled
  * fixed some output presentation stuff
* Tue Dec 19 2000 - garloff@suse.de
- Update to harden_suse-2.7:
  * Bugfixes ... (reported by stefan.troeger)
* Wed Nov 01 2000 - garloff@suse.de
- Add missing leading '/' for BuildRoot: in .spec
* Tue Oct 31 2000 - garloff@suse.de
- Convert to long package name harden_suse.
* Tue Oct 31 2000 - garloff@suse.de
- Update to version 2.6:
  Bugfixes, USB support.
* Sun Jul 09 2000 - garloff@suse.de
- Make script support SuSE versions up to 7.0.
* Fri Jun 30 2000 - garloff@suse.de
- Update to version 2.4:
  * Higher ulimits (netscape!)
  * Check openssh config files
  * Change /tmp homes (if found) into /var/state
  * PASSWD_USES_CRACKLIB=yes
- Use BuildRoot
* Mon Feb 21 2000 - garloff@suse.de
- Update to 2.1. Also install new docs.
- Use %%version in the spec file.
* Wed Feb 16 2000 - garloff@suse.de
- Update to version 2.0
* Sat Oct 23 1999 - garloff@suse.de
- Fixed spec: Requires perl.
* Sat Oct 23 1999 - garloff@suse.de
- create hardsuse package from harden_suse-1.8.pl
